<?php

// ###########
// # WICHTIG #
// ###########
// geht nicht!

ini_set("display_errors", "on");

// Datei 
$file = "produkt.csv";

if(!file_exists($file)){
    die("File $file doesn't exist or not found!");
    // Beende das Skript
}

$fp = @fopen($file, 'r');
if(!$fp){
    die("Error while opening file!");
}

$header = fgetcsv($fp);


// READ FILE <- GEHT NICHT

$yo = print_r($header);
echo "<pre> $yo </pre>";

while(!feof($fp)){ // solange nicht das Ende der Datei erreicht ist 

    // Inner Schleife: Spalten ausgeben
    for ($i = 0; $i < count($header); $i++){
        echo "$header[$i]: $header[$i]<br>";
    }
    echo "<p> -------------------------------- </p>";
}

fclose($fp);

// WRITE TO FILE <- GEHT
// $fp = @fopen($file, "W"); 
//$row = [7, "NZXTKeyboard", 120, "Tastatur"];
// file, data (array), seperator
//fputcsv($fp, $row, ",");

